/********************************************************************
 * Copyright © 2004 EDS. All rights reserved
 ********************************************************************/
//Package
package gov.va.med.esr.messaging.service.outbound;

//Framework Classes
import gov.va.med.fw.hl7.Message;

//EDB Classes
import gov.va.med.esr.messaging.util.AbstractMessagingTest;

/**
 * @author Alex Yoon
 * @version 1.0
 */
public class ACKAAProcessServiceTest extends AbstractMessagingTest {
    /**
     * Constructor for ACKAAProcessServiceTest.
     * 
     * @param testName
     */    
    public ACKAAProcessServiceTest(String testName) throws Exception {
        super(testName);
    }
    
    /**
     * Test of testProcessMessage method, of class gov.va.med.esr.messaging.service.outbound.ACKAAProcessService.
     */
    public void testProcessMessage() throws Exception {
    	logger.info("testProcessMessage");
    	    	
    	Message msg = super.createORUZ07Message();
	    	    	
    	OutboundProcessService service = (OutboundProcessService)applicationContext.getBean("outbound.ackAAProcessService");
	    service.processMessage(msg);
    }
}